Bug 429712 - Review Request: ipa - The Identity, Policy and Audit system
Review Request: ipa - The Identity, Policy and Audit system
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-22 11:37 EST by Rob Crittenden
Modified: 2008-04-03 14:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 14:42:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rob Crittenden 2008-01-22 11:37:04 EST
Spec URL: http://rcritten.fedorapeople.org/ipa.spec
SRPM URL: http://rcritten.fedorapeople.org/ipa-0.99-1.fc7.src.rpm
Description: 

IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof).

This is a unified spec file creating the client, server, libraries and tools packages needed by IPA.

A couple of notes:

- rpmlint of ipa-server will complain about the libcap dependency. This dependency is not automatically added by rpm.
- rpmlint will complain about 2 files in /usr/share/ipa/html that are marked as config(noreplace). These are user-modifiable web content files that I don't want to overwrite on upgrades but didn't know how to mark otherwise.

The spec includes instructions on creating the tar.gz. We are very close but not ready yet to tag/branch at 1.0 but want to get the spec under review, hence the 0.99 versioning.
Comment 1 Rob Crittenden 2008-01-22 13:14:52 EST
I was missing autotools in BuildRequires.

Spec URL: http://rcritten.fedorapeople.org/ipa.spec
SRPM URL: http://rcritten.fedorapeople.org/ipa-0.99-2.fc7.src.rpm
Comment 2 Dan Horák 2008-01-22 13:34:05 EST
(In reply to comment #0)
> - rpmlint will complain about 2 files in /usr/share/ipa/html that are marked
as config(noreplace). These are user-modifiable web content files that I don't
want to overwrite on upgrades but didn't know how to mark otherwise.

You could move the files into /etc/<foo> and symlink them into the original
location.  This solution is used e.g. in the zabbix package.
Comment 3 Dennis Gilmore 2008-01-22 20:23:52 EST
i think that putting in /etc/ipa and symlinking is a good idea

I built in mock on F-8 and hadd to add popt-devel as a Build Requires

on devel  build failed with 
RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/lib/python2.5/site-packages/ipa-0.6.0-py2.5.egg-info

Comment 4 Dennis Gilmore 2008-01-22 20:34:40 EST
rpm's complaint about no documentation can be fixed by including a copy of the
license and filling out the AUTHORS NEWS and README files and including them also.


Comment 5 Rob Crittenden 2008-01-24 11:03:05 EST
- Included LICENSE and README in all packages for documentation
- Move user-modifiable content to /etc/ipa and linked back to
  /usr/share/ipa/html
- Changed some references to /usr to the {_usr} macro and /etc
  to {_sysconfdir}
- Added popt-devel to BuildRequires for Fedora 8 and higher and
  popt for Fedora 7
- Package the egg-info for Fedora 9 and higher for ipa-python

Spec URL: http://rcritten.fedorapeople.org/ipa.spec
SRPM URL: http://rcritten.fedorapeople.org/ipa-0.99-3.fc7.src.rpm
Comment 6 Rob Crittenden 2008-01-24 17:46:35 EST
Pull in fix from upstream that fixes problem with the TurboGears startup script.

Spec URL: http://rcritten.fedorapeople.org/ipa.spec
SRPM URL: http://rcritten.fedorapeople.org/ipa-0.99-4.fc7.src.rpm
Comment 7 Rob Crittenden 2008-01-24 22:41:51 EST
Package up the TurboGears sessions directory.

Spec URL: http://rcritten.fedorapeople.org/ipa.spec
SRPM URL: http://rcritten.fedorapeople.org/ipa-0.99-5.fc7.src.rpm
Comment 8 Dennis Gilmore 2008-01-26 00:42:59 EST
[dennis@bratac ~]$ rpmlint /var/lib/mock//fedora-8-x86_64/result/*rpm
ipa-server.x86_64: E: non-standard-uid /var/cache/ipa/sessions apache
ipa-server.x86_64: E: non-standard-gid /var/cache/ipa/sessions apache
ipa-server.x86_64: E: non-standard-dir-perm /var/cache/ipa/sessions 0700
ipa-server.x86_64: E: explicit-lib-dependency libcap

I think that those are fine. 

Looks good to me 

Approved
Comment 9 Rob Crittenden 2008-01-26 00:58:23 EST
New Package CVS Request
=======================
Package Name: ipa
Short Description: The Identity, Policy and Audit system
Owners: rcritten,ssorce
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 10 Dennis Gilmore 2008-01-26 08:45:53 EST
cvs done
Comment 11 Simo Sorce 2008-02-08 15:32:38 EST
Package Change Request
======================
Package Name: ipa
Updated Fedora Owners: rcritten, simo
Comment 12 Kevin Fenzi 2008-02-09 14:49:15 EST
added simo as co-maintainer. Note that you can use the pkgdb web interface to
request such things without cvsadmin. 

Note You need to log in before you can comment on or make changes to this bug.